	

var endpoint = {

	// 登录
	login: function (userMark, password, success, failure) {
		var json = { "userMark":userMark, "password": password }
		RemoteGroup.current.cas.yzpost("/rest/mobile/login", json, success, failure)
	},
	
	// 加密登录
	encLogin: function (userMark, password, success, failure) {
		var json = { "userMark":userMark, "password": password }
		RemoteGroup.current.cas.yzpost("/rest/mobile/encLogin", json, success, failure)
	},
	
	// 检查用户authID是否有效, 用于扫码登录网页版
	check: function (authID, success, failure) {
		var json = {  }
		/* RemoteGroup.current.cas.get("/rest/mobile/check/"+authID, json, success, failure) */ 
		RemoteGroup.current.cas.get("/mappLogin/scancode/check/"+authID, json, success, failure)
	},
	
	// 授权用户登录网页版
	auth: function (authID, success, failure) {
		var json = {  } 
		/* RemoteGroup.current.cas.get("/rest/mobile/auth/"+authID, json, success, failure) */
		RemoteGroup.current.cas.get("/mappLogin/scancode/authorize/"+authID, json, success, failure)
	},
	
	// 取消网页版授权
	cancel: function (authID, success, failure) {
		var json = {  }
		/* RemoteGroup.current.cas.get("/rest/mobile/cancel/"+authID, json, success, failure) */
		RemoteGroup.current.cas.get("/mappLogin/scancode/cancel/"+authID, json, success, failure)
	},
	
	// 登出
	logout: function (success, failure) {
		var json = {  }
		RemoteGroup.current.cas.get("/rest/mobile/logout", json, success, failure)
	},
	
	// 加密登录(新方法) 返回refreshToken用于换发新的登录token
	encLoginNew: function (userMark, password,terminalId,aliCaptStr,success, failure) {

		
		var json={};
		if(aliCaptStr!=null&&aliCaptStr!=""){
			var aliCaptJson=Utils.stringToJson(aliCaptStr)
			json ={ 
					"userMark":userMark,
					"password": password,
					"termId":terminalId ,
					"aliToken":aliCaptJson.token,
					"aliSessionId":aliCaptJson.sessionId,
					"aliSignature":aliCaptJson.sig,
					"aliScene":aliCaptJson.scene
				  }
		}else{
			json ={ 
					"userMark":userMark,
					"password": password,
					"termId":terminalId 
				  }
		} 
		log("---账号密码登录---",Utils.jsonToString(json))
		RemoteGroup.current.casn.yzpost("/mappLogin/indauth/upwd", json, success, failure)
	},
	// 自动登录(新方法) 通过refreshToken获取新的token
	autoLoginNew: function (refreshToken,terminalId,success, failure) {

		var json = { "refreshToken":refreshToken ,"termId":terminalId }
		RemoteGroup.current.cas.yzpost("/mappLogin/indauth/auto", json, success, failure)
	},
	
}


     Emp.page.render();