	
 
var getAddress = {
	getDefaultAddress: function(callBack){
		var queryJson={'pageNo':1,"pageSize": 999}; 
		/*
			defaultAddressFlag:
			-1:网络问题，请求默认地址失败，defaultAddressItem为空
			-2:请求默认地址失败，原因未知不确定，defaultAddressItem为空
			0:用户未登录或登录超时，请求默认地址失败，defaultAddressItem为空
			1:查询地址簿成功，获取默认地址成功，有defaultAddressItem为全部地址信息
			2:查询地址簿成功，但是没有默认地址，defaultAddressItem为空
			3:查询地址簿成功，但是地址簿列表为空，需新增地址，defaultAddressItem为空
		*/
		var defaultAddressFlag="";//是否有默认地址  
		var defaultAddressItem="";//默认地址实体
		RemoteGroup.current.mbc.yzpost(addressBookQueryMethod, queryJson, function(result){
				
				var addressJson=Utils.stringToJson(result);
				if(addressJson.retCode==1||addressJson.retCode=="1"){
					//查询成功
					log("---获取默认地址---","获取默认地址 success--"+result) ;
					var addressList=addressJson.data.items;
					if(addressList.length>0){
						var addressNum=0;
						for(var i=0;i<addressList.length;i++){
							if(addressList[i].isDefault==1){
								//默认地址有且只有一个
								addressNum=addressNum+1;
								defaultAddressItem=addressList[i];
							}
						}
						if(addressNum>0){
							//有默认地址
							defaultAddressFlag="1";
							log("---获取默认地址---","获取默认地址成功，有默认地址--默认地址数量addressNum="+addressNum) ;
							callBack(defaultAddressFlag,defaultAddressItem);
						}else{
							//没有默认地址
							log("---获取默认地址---","获取默认地址失败，没有默认地址--默认地址数量addressNum="+addressNum) ;
							
							defaultAddressFlag="2";
							defaultAddressItem={};
							callBack(defaultAddressFlag,defaultAddressItem);
						} 
					}else{ 
						log("---获取默认地址---","获取地址簿成功，但是地址簿列表item为空，需新增地址簿");
							
						defaultAddressFlag="3";
						defaultAddressItem={};
						callBack(defaultAddressFlag,defaultAddressItem);
					} 
				}else if(addressJson.retCode=="000008"){
					 log("---获取默认地址---","查询地址簿列表失败,登录超时， retCode="+addressJson.retCode+",retMessage="+addressJson.retMessage);
					 defaultAddressFlag="0";
					 defaultAddressItem={};
					 callBack(defaultAddressFlag,defaultAddressItem);
				} else if(addressJson.retCode=="-1"){
					 log("---获取默认地址---","查询地址簿列表失败,登录超时， 不为1 retCode="+addressJson.retCode+",retMessage="+addressJson.retMessage);
					 defaultAddressFlag="0";
					 defaultAddressItem={};
					 callBack(defaultAddressFlag,defaultAddressItem);
				}  else{
					 log("---获取默认地址---","查询地址簿列表 失败 retCode 不为1 retCode="+addressJson.retCode+",retMessage="+addressJson.retMessage)
					 defaultAddressFlag="-2";
					 defaultAddressItem={};
					 callBack(defaultAddressFlag,defaultAddressItem);
				}
		}, function(error){
				if(error=="401"){
					log("---获取默认地址---","登录信息失效 error--"+error)
					 defaultAddressFlag="0";
				 	 defaultAddressItem={};
					 callBack(defaultAddressFlag,defaultAddressItem);
				}else {
					 log("---获取默认地址---","查询地址簿列表 error--"+error)
					 defaultAddressFlag="-1";
				 	 defaultAddressItem={};
					 callBack(defaultAddressFlag,defaultAddressItem);
				}   
				
		}); 
	}
}


     Emp.page.render();