	


function mix( colorArray, mixValueArray ){
    var red = 0, green = 0, blue = 0;
    for ( var i = 0; i < colorArray.length; i++ ){
        red += hexToR( "" + colorArray[ i ] + "" ) * mixValueArray[ i ];
        green += hexToG( "" + colorArray[ i ] + "" ) * mixValueArray[ i ];
        blue += hexToB( "" + colorArray[ i ] + "" ) * mixValueArray[ i ];
    }
	
	// log("#" + parseInt(red).toString(16) + parseInt(green).toString(16) + parseInt(blue).toString(16));
    return "#" + toString(red) + toString(green) + toString(blue)
}

//get the red of RGB from a hex value
function hexToR(h) {return parseInt((cutHex( h )).substring( 0, 2 ), 16 )}

//get the green of RGB from a hex value
function hexToG(h) {return parseInt((cutHex( h )).substring( 2, 4 ), 16 )}

//get the blue of RGB from a hex value
function hexToB(h) {return parseInt((cutHex( h )).substring( 4, 6 ), 16 )}

//cut the hex into pieces
function cutHex(h) {if(h.charAt(1) == "#"){return h.substring( 2, 8 );} else {return h.substring(1,7);}}

function toString(value) {
	if (value < 16) {
		return "0" + parseInt(value).toString(16)
	} else {
		return parseInt(value).toString(16)	
	}
}


     Emp.page.render();