	
	
     var div2 = new Emp.Panel({"layout":"VBox","overflow":"y","width":"100%","id":"div2","height":"100%"});
    var div3 = new Emp.Panel({"backgroundColor":"#f2f2f2","width":"100%","id":"div3","height":"10"});
            div2.add(div3);
        var inlineDetailWebview = new Emp.WebView({"width":"100%","id":"inlineDetailWebview","height":"1"});
            div2.add(inlineDetailWebview);
        var div4 = new Emp.Panel({"width":"100%","id":"div4","height":"51"});
            div2.add(div4);
        Emp.page.add(div2);
		
/*商品详情Webview*/
inlineDetailWebview.addEvent("onFinished", function(){
	inlineDetailWebview.setHeight("-2");
});

/*商品图片的URL地址们*/
var productImageURLs = [];

$M.page.addEvent("onLoad", function(params){
	requestData();
});

function requestData() {
	loadingHud.show();
	var url = "/app/spu/findPctDetail/" + spuId;
	RemoteGroup.current.czt.serverget(url, null, function(result){
		loadingHud.hide();
		var resultJson = Utils.stringToJson(result);
		if(resultJson.retCode == "000000") { //查询商品详情成功
			log("获取商品详情页成功------" + result);
			titleControl.setVisibility(true);
			nestedHead.setVisibility(true); 
			mainContent.setVisibility(true);
			menuTab.setVisibility(true);
			
			//返回的是一个数组，查询单个商品即为数组的第0个元素
			product = resultJson.retData.pctDetail;
			isFavor = resultJson.retData.isFavor;
			if(isFavor != null && isFavor >= 1) {
				menuPic4.setSrc("/images/other/xingjixuanzhong3.png");
				menuText2.setValue("已收藏");
				isFavor = 1;
			} else { 
				menuPic4.setSrc("/images/other/xingji.png");
				menuText2.setValue("收藏");
				isFavor = 0;
			}
			if(product) {
				productImageURLs = new Array();
				//添加商品主图
				productImageURLs.push(product.pctMng.title_img_path);
				//添加商品副图
				if(product.secondaryImg && product.secondaryImg.length > 0) {
					for(var i= 0; i <　product.secondaryImg.length; i++) {
						log(product.secondaryImg[i]);
						productImageURLs.push(product.secondaryImg[i]);
					}
				}
				loadImages(productImageURLs); //加载商品图片 
				setImageIndex(0);
				//设置商品标题名和商户标题名
				nameLabel.setValue(product.pctMng.pct_name);
				priceLabel.setValue(product.pctMng.pct_amt);
				shopNameLabel.setValue(product.pctMng.fran_name);
				shopId = product.pctMng.fran_id;
				shopName = product.pctMng.fran_name;
				updateShoppingNum();
				
				if(product.detailImg) {
					/* 采用webview，支持富文本展示详情 */
					loadProductDetailDiv(inlineDetailWebview, product);
				}
				
				if(product.pctMng.pct_flag == "5" || product.pctMng.pct_flag == "6") {
					//如果商品为下架状态
					pctFlagDiv.setDisplay(true);
					menuText3Div.setBackgroundColor("#858585");
					menuText4Div.setBackgroundColor("#858585");
					//如果已经下架，则点击加入购物车和立即购买按钮失效，则无需分析商品规格列表
					return;
				}
				
				if(product.pctStocks && product.pctStocks.length > 0) {
					//设置规格信息
					//初始设置规格图片为商品主图
					skuImg.setSrc(prod.cztimg + product.pctMng.title_img_path);
					//计算商品最高价，最低价，和总库存数量
					minAmt = product.pctStocks[0].f_pct_amt;
					maxAmt = minAmt;
					pctNum = product.pctStocks[0].f_pct_num;	
					for(var i = 1; i <　product.pctStocks.length; i++) {
						if(product.pctStocks[i].f_pct_amt < minAmt) {
							minAmt = product.pctStocks[i].f_pct_amt;
						}
						if(product.pctStocks[i].f_pct_amt > maxAmt) {
							maxAmt = product.pctStocks[i].f_pct_amt;
						}
						pctNum += product.pctStocks[i].f_pct_num;
					}
					fPctAmt.setValue(minAmt + " - " + maxAmt);
					if(minAmt == maxAmt) {
						fPctAmt.setValue(minAmt);
					}
					fPctNum.setValue(pctNum);
					analyzeSku(product.pctStocks);
				}
			}
		}
	}, function(error) {
		loadingHud.hide();
		log(error);
	});
}

/*images是存放媒体资源图片URL的数组*/
function loadImages(images) {
	images.forEach(function(item){
		log(item);
		var image = createSlidePage(item);
		productImageSlide.add(image);
	});
}

/**/
function createSlidePage(imageURL) {
	/* scaleType:fitCenter 按照原始比例显示图片
	   cacheable:false	不允许缓存  */
	var image = new $M.Image({'width':'360', 'height':'360', src:prod.cztimg + imageURL, 'scaleType':'fitXY', 'cacheable':'true'});
	return image;
}

productImageSlide.addEvent('onChange', function(oldValue, newValue) {
	setImageIndex(newValue);
});

function setImageIndex(index) {
	if(productImageURLs.length > 0) {
		slideIndexLabel.setValue((index+1).toString() + "/" + productImageURLs.length.toString());
	} else {
		slideIndexLabel.setValue("1/1");
	}
}

     Emp.page.render();