	
	$M.includeFile("/common/utilsLoading.html");
	$M.includeFile("/common/request.html");

     	
	//此变量只允许autoLogin使用，其它类型调用需要重新定义
	var callAppIndexForAutoLogin = 0;
	var callAppIndexForPosition = 0;
	//html5 -> app 的调用接口，因为js是异步调用，必须拆分请求，此部分为处理响应方法， 不会有返回值， callAppIndex是回调方法的唯一ID
	function callApp(callAppIndex, type, data) {
		log(type);
		log(data);
		switch (type) {
		case "autoLogin":
			autoLogin(callAppIndex);
			break;
		case "goback":
			//不使用goBack使用goto无法保持 登录状态 ，不懂App是怎么出现的问题
			$M.page.goBack();
			break;
		case "pay":
			$M.page.goTo('/netWork/hybrid/payPage.html', Utils.stringToJson(data),true);
			break;
		case "autoPosition":
			autoPosition(callAppIndex);
			break;
		}
	}
	//获取token，并执行syncExecute
	function mergeLogin(callAppIndex) {
		log("==mergeLogin==");
		callAppIndexForAutoLogin = callAppIndex;
		var preference = new $M.Preferences();
		
		preference.open('userInfoPreferences');
		var string = preference.get('local_userInfoItem')
		var user = Utils.stringToJson(string)		
		if (user && user.token) {
			log("==user2==");
			syncExecute(callAppIndex, user.token);
			return;
		}
	}
	//自动登录方法，通过getLogonUserInfo校验用户token是否失效，如果没有失效则实行mergeLogin，如果失效则调用登录
	function autoLogin(callAppIndex) {
		log("==autoLogin==");
		callAppIndexForAutoLogin = callAppIndex;
		var queryJson = {};
		loadingHud.show();//显示加载框
		RemoteGroup.current.mbc.yzpost("/userManage/getLogonUserInfo", queryJson,
				function(result) {
					log("登录状态成功回调");
					log(result);
					log(callAppIndex);
					var resultJson = Utils.stringToJson(result);
					loadingHud.hide();//隐藏加载框 
					mergeLogin(callAppIndex);
				}, function(error) {
					log("登录状态异常回调");
					log(error);
					if (error == "401") {
						//$M.page.goTo('/authorization/login.html', null, false);
						$M.page.goTo('/pageLogin/login.html', null, false);
					}
					loadingHud.hide();//隐藏加载框 
				});
	}
	function autoPosition(callAppIndex) {
		log("==autoPosition==");
		callAppIndexForPosition = callAppIndex;
		Utils.locate({
			onSuccess : function(position) {
				var longitude = '';
				var latitude = '';
				if (position.split(',')[0] > 0) {
					longitude = position.split(',')[0] + '';
					latitude = position.split(',')[1] + '';
				}
				//syncExecute(callAppIndex, Utils.jsonToString({"longitude":longitude,"latitude":latitude}));
				syncExecute(callAppIndex, Utils.jsonToString(false));
			},
			onFailure : function() {
				syncExecute(callAppIndex, Utils.jsonToString(false));
			}
		});
	}
	//app -> html5 请求拆分后的，回调方法
	function syncExecute(callAppIndex, stringResult) {
		log("==syncExecute==" + callAppIndex + "===" + stringResult);
		log(callAppIndex);
		log(stringResult);
		webview.execute("callHtml5(" + callAppIndex + ",'" + stringResult
				+ "')");
	}

	$M.page.addEvent('onBack', backData);
	function backData(params) {
		if (params && params.status) {
			//登录成功后需要更新 html5 token		
			log("登录成功后需要更新 html5 token");	
			mergeLogin(callAppIndexForAutoLogin);
		} else {
			//放弃登录跳回我的首页
			$M.page.goTo("/indexTabs.html", {
				"tag" : "4"
			}, true);
		}
	}

     Emp.page.render();