	

	function Remote(base) {
		this.base = base
	}

	Remote.prototype.post = function(path, json, success, failure) {
		request.post(this.base, path, json, success, failure)
	}

	Remote.prototype.postAddHead = function(path, json, head, success, failure) {
		request.postAddHead(this.base, path, json, head, success, failure)
	}

	Remote.prototype.getAddHead = function(path, json, head, success, failure) {
		request.getAddHead(this.base, path, json, head, success, failure)
	}
	
	Remote.prototype.get = function(path, params, success, failure) {
		request.get(this.base, path, params, success, failure)
	}

	Remote.prototype.postKeyValue = function(path, params, success, failure) {
		request.postKeyValue(this.base, path, params, success, failure)
	}
	Remote.prototype.serverget = function(path, params,success, failure) {
		request.serverget(this.base, path, params, success, failure)
	}
	var dev = { 
		"cca" : "http://192.168.249.15:8080/ZxptRestCcaAPP",
		"cas" : "http://192.168.252.166/cas/rest",
		"casn" : "https://passport.11185.cn/cas/mappLogin",
		"ord" : "http://192.168.249.142:8080/ZxptRestOrdAPP",
		"cnt" : "http://192.168.248.196/ZxptRestCntAPP",
		"dey" : "http://192.168.249.81/ZxptRestDeyAPP",
		"dms" : "http://192.168.248.229/ZxptRestDmsAPP",
		"mbc" : "http://192.168.248.180:8080/ZxptRestMbcAPP",
		"tpl" : "http://192.168.249.78/ZxptRestTplAPP",
		"pub" : "http://192.168.249.25/ZxptRestPub",
		"gcc" : "http://192.168.248.87:8080/ZxptRestGccAPP",
		//"cas" : "http://192.168.252.166/cas/rest",
		"bdc" : "http://api.map.baidu.com", //百度转换经纬度接口
		"uleH5" : "http://m.beta.ule.com/muser/app/yzsjyj2",
		"uleOrdH5" : "https://m.beta.ule.com/order/list",
		"wytH5" : "https://www.weiyoutong.cn/wyttest/Bonline/cpappin",
		"updateUrl" : "http://211.156.195.65:8080/appstore/store/app/getUserUpdateAppList.do",
		"iosUpdateUrl" : "https://itunes.apple.com/lookup?id=661697937",
		"gdMapApi" : "https://restapi.amap.com/v3/assistant/coordinate",//百度坐标转高德坐标
		"pictureConfirmUrl" : "http://10.3.96.134/wx/#/imgCodeForApp",
		"pictureConfirmUrlNew" : "http://10.3.96.134/wx/#/aliCodeForApp",
		"onlineService" : "http://mobile.11185.cn/chinapost/jiyouwx/complaints/complaintsInclude.jsp"
	} 
	 
	var uat = { 
		"cca" : "http://cca.trial.st/ZxptRestCcaAPP",
		"cas" : "http://passport.trial.st/cas/rest",
		"casn" : "http://passport.trial.cpsdc.com.cn/cas/mappLogin",
		"mbc" : "http://mbc.trial.st/ZxptRestMbcAPP",
		"pub" : "http://bic.trial.st/ZxptRestPub",
		"ord" : "http://ord.trial.st/ZxptRestOrdAPP",
		"dey" : "http://dey.trial.st/ZxptRestDeyAPP",
		"dms" : "http://dms.trial.st/ZxptRestDmsAPP",
		"tpl" : "http://trial.st/ZxptRestTplAPP",
		"sys" : "http://sys.trial.st",
		"gcc" : "http://gcc.trial.st/ZxptRestGccAPP",
		"bdc" : "http://api.map.baidu.com", //百度转换经纬度接口
		"uleH5" : "http://m.beta.ule.com/muser/app/yzsjyj2",
		"uleOrdH5" : "https://m.beta.ule.com/order/list",
		"wytH5" : "https://www.weiyoutong.cn/wyttest/Bonline/cpappin",
		"updateUrl" : "http://211.156.195.65:8080/appstore/store/app/getUserUpdateAppList.do",
		"iosUpdateUrl" : "https://itunes.apple.com/lookup?id=661697937",
		"gdMapApi" : "https://restapi.amap.com/v3/assistant/coordinate",//百度坐标转高德坐标
		"pictureConfirmUrl" : "http://mall.trial.st/wx/#/imgCodeForApp",
		"pictureConfirmUrlNew" : "http://mall.trial.st/wx/#/aliCodeForApp",
		"onlineService" : "http://mobile.11185.cn/chinapost/jiyouwx/complaints/complaintsInclude.jsp"
	}

	var huidu = { 
		"cas" : "http://passport.verify.st/cas/rest",
		"casn" : "http://passport.verify.st/cas/mappLogin",
		"mbc" : "http://mbc.verify.st/ZxptRestMbcAPP",
		"pub" : "http://bic.verify.st/ZxptRestPub"
	}

	var prod = {     
		//"cca" : "http://cca.trial.st/ZxptRestCcaAPP", 
		"cca" : "https://cca.11185.cn/ZxptRestCcaAPP",
		//"cca" : "https://10.3.178.10/ZxptRestCcaAPP",
		"ord" : "https://ord.11185.cn/ZxptRestOrdAPP",
		"dey" : "https://dey.11185.cn/ZxptRestDeyAPP",
		"dms" : "https://dms.11185.cn/ZxptRestDmsAPP",
		"mbc" : "https://mbc.11185.cn/ZxptRestMbcAPP",
		"tpl" : "https://11185.cn/ZxptRestTplAPP",
		"pub" : "https://bic.11185.cn/ZxptRestPub",
		"sys" : "https://sys.11185.cn",
		"gcc" : "https://gcc.11185.cn/ZxptRestGccAPP",
		"cas" : "https://passport.11185.cn/cas/rest",
		"casn" : "https://passport.11185.cn/cas/mappLogin",
		"bdc" : "https://api.map.baidu.com", //百度转换经纬度接口
		"uleH5" : "https://m.ule.com/muser/app/yzsjyj2",
		"uleOrdH5" : "https://m.beta.ule.com/order/list",
		"wytH5" : "https://www.weiyoutong.cn/weiyoutong/Bonline/cpappin",
		"updateUrl" : "https://appstore.ydpt.11185.cn:443/appstore/store/app/getUserUpdateAppList.do",
		"iosUpdateUrl" : "https://itunes.apple.com/lookup?id=661697937",
		"pictureConfirmUrl" : "https://mall.11185.cn/wx/#/imgCodeForApp",
		"pictureConfirmUrlNew" : "https://mall.11185.cn/wx/#/aliCodeForApp",
		"onlineService" : "https://mobile.11185.cn/chinapost/jiyouwx/complaints/complaintsInclude.jsp",
		"czt":"http://198.10.1.238:8080",
		
		//"cztSJ":"http://198.10.1.157:8080",//开发环境
		//"cztSJ":"http://211.156.195.228:8080",//UAT环境  
		"cztSJ":"http://211.156.195.228:80",//生产环境 
		 
		//"imgUrl" : "https://psxstore.oss-cn-beijing.aliyuncs.com/cztdepository",//开发环境
		//"imgUrl" : "http://211.156.197.7:8081/oss/oss-jstdczt-uat-file-public/cztdepository", //测试环境 		
		"imgUrl" : "http://211.156.197.7:8080/oss/oss-jstdczt-prd-file-public/cztdepository", //生产环境

		//"cztupdate" : "http://211.156.195.65:8080/appstore/store/app/getUserUpdateAppList.do", //测试环境更新版本地址
		"cztupdate" : "https://appstore.ydpt.11185.cn/appstore/store/app/getUserUpdateAppList.do", //生产环境更新版本地址
	}
  
 
	function RemoteGroup(servers) {
		this.servers = servers
		for (key in servers) {
			this[key] = new Remote(servers[key])  
		}
	}

	RemoteGroup.dev = new RemoteGroup(dev)
	RemoteGroup.uat = new RemoteGroup(uat)
	RemoteGroup.huidu = new RemoteGroup(huidu)
	RemoteGroup.prod = new RemoteGroup(prod)

	RemoteGroup.current = RemoteGroup.prod

		
	$M.Ajax.prototype.setAuth = function() {
		var preference = new $M.Preferences();
		preference.open('userInfoPreferences');
		var string = preference.get('local_userInfoItem')
		var user = Utils.stringToJson(string)
		if (user && user.token) {
			this.addHeader("token", user.token)
		}
	}
	$M.Ajax.prototype.setServerAuth = function() {
		var preference = new $M.Preferences();
		preference.open('local_server_msg');
		var string = preference.get('server_token_info')
		var token = Utils.stringToJson(string)
		if (token && token.token) {
			log(token.token);
			this.addHeader("Authorization", token.token)
		}
	}

	var request = { 
		post : function(base, path, json, success, failure) {
			if (!Utils.isNetworkAvailable()) {
				showToast("网络不可用，请检查网络设置");
				failure("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax(); 
				ajax.setAction(base + path);
				ajax.addHeader("Content-Type","application/json;charset=UTF-8");
				ajax.setPostData(Utils.jsonToString(json));
				log("POST 请求URL=" + base + path);
				ajax.setAuth();
				ajax.submit(function(result) {
					success(result);
				}, function(error) {
					failure(error);
					log("error is " + error);
				});
			}
		},

		postAddHead : function(base, path, json, head, success, failure) {
			if (!Utils.isNetworkAvailable()) {
				showToast("网络不可用，请检查网络设置");
				failure("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax();
				ajax.setAction(base + path);
				ajax.addHeader("Content-Type","application/json;charset=UTF-8");
				for ( var key in head) {
					log("key  " + key + ";value  " + head[key]);
					ajax.addHeader(key, head[key]);
				}
				ajax.setPostData(Utils.jsonToString(json));
				log("POST " + base + path);
				ajax.setAuth();
				ajax.submit(function(result) {
					success(result);
				}, function(error) {
					failure(error);
					log("error is " + error);
				});
			}
		},

		 getAddHead : function(base, path, json,head, success, failure) {
			if (!Utils.isNetworkAvailable()) {
				showToast("网络不可用，请检查网络设置");
				failure("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax();
				ajax.setAction(base + path);
				ajax.addHeader("Content-Type","application/json;charset=UTF-8");
		 
				for ( var key in head) {
					log("key  " + key + ";value  " + head[key]);
					ajax.addHeader(key, head[key]);
				}
				//ajax.setPostData(Utils.jsonToString(json));
				log("GET " + base + path);
				ajax.submit(function(result) {
					success(result);
				}, function(error) {
					failure(error);
					log("error is " + error);
				});
			}
		},
		//get 请求  + 入参
		postKeyValue : function(base, path, params, success, failure) {
			if (!Utils.isNetworkAvailable()) {
				showToast("网络不可用，请检查网络设置");
				failure("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax();
				ajax.setAction(base + path);
				for ( var key in params) {
					ajax.add(key, params[key]);
				}
				log("POST " + base + path);
				ajax.setAuth()
				ajax.submit(function(result) {
					success(result);
				}, function(error) {
					failure(error);
					log("error is " + error);
				});
			}
		},
		//get 请求   没有入参
		get : function(base, path, params, success, failure) {
			if (!Utils.isNetworkAvailable()) {
				showToast("网络不可用，请检查网络设置");
				failure("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax();
				ajax.addHeader("Content-Type","application/json;charset=UTF-8");
				var array = [];
				for ( var key in params) {
					array.push(key + "=" + params[key]);
				}
				var query = array.join("&");
				if (query.length > 0) {
					query = "?" + query;
				}
				ajax.setAction(base + path + query);
				log("GET " + base + path + query);
				ajax.setAuth()
				ajax.submit(function(result) {
					success(result);
				}, function(error) {
					failure(error);
					log("error is " + error);
				});
			}
		},
		//get 请求   没有入参
		serverget : function(base, path, params, success, failure) {
			if (!Utils.isNetworkAvailable()) {
				showToast("网络不可用，请检查网络设置");
				failure("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax();
				ajax.addHeader("Content-Type","application/json;charset=UTF-8");
				log('params==='+params);
				var query='';
				if(params){
					var array = [];
					for ( var key in params) {
						array.push(key + "=" + params[key]);
					}
					var query = array.join("&");
					if (query.length > 0) {
						query = "?" + query;
					}
				}
				ajax.setAction(base + path + query);
				log("GET " + base + path + query);
				ajax.setServerAuth()
				ajax.submit(function(result) {
					success(result);
				}, function(error) {
					log("error is " + error);
					//406错误
					if(error==406){
						var account_preference = new $M.Preferences();
						account_preference.open('accountPreferences');
						var info=Utils.stringToJson(account_preference.get('local_accountAndPass'));
						var ajax2 = new $M.Ajax();
						ajax2.addHeader("Content-Type","application/json;charset=UTF-8");
						ajax2.setAction(prod.czt + "/wevue/mlogin?username=" + info.username+"&password="+info.password);
// 						ajax2.setAction(prod.test + "/wevue/mlogin?username=admin&password=1");
						ajax2.submit(function (successFn){
							var resultJson = Utils.stringToJson(successFn);
							log(resultJson);
							if(resultJson.success){
								var server_preference = new $M.Preferences();
								server_preference.open("local_server_msg");
								var server_loginInfo = {};
								server_loginInfo["token"] = resultJson.backParam.token;
								server_loginInfo["expire"] = resultJson.backParam.expire;
								server_preference.put("server_token_info",Utils.jsonToString(server_loginInfo));
							}
						}, null);
					} 
					failure(error);
				});
			}
		}
	};
		//计算是否超时 超时则重新申请
/* 	function serverToken_overtime(path, params, success, failure){
		var preference = new $M.Preferences();
		preference.open('local_server_msg');
		var string = preference.get('server_token_info')
		var token = Utils.stringToJson(string)
		if (token && token.expire) {
			var server_preference = new $M.Preferences();
			server_preference.open("local_server_msg"); 
			server_preference.put("token","123");
			server_preference.put("last_token_date",new Date());
			var last=server_preference.get("last_token_date");
			var now=new Date(); 
			var time=(now.getTime() - new Date(last).getTime())/1000;
		    log("剩余时间"+time); 
		}
	
	
		var account_preference = new $M.Preferences();
		account_preference.open('accountPreferences');
		var jsonChange=Utils.stringToJson(account_preference.get('local_accountAndPass'));
		RemoteGroup.current.test.serverget("/wevue/mlogin",jsonChange,function (result){
			var resultJson = Utils.stringToJson(result);
				log(resultJson);
				if(resultJson.success){
					var server_preference = new $M.Preferences();
					server_preference.open("local_server_msg");
					var server_loginInfo = {};
					server_loginInfo["token"] = resultJson.backParam.token;
					server_loginInfo["expire"] = resultJson.backParam.expire;
					server_preference.put("server_token_info",Utils.jsonToString(server_loginInfo));
				}
			},function (failure){
				log("error=="+failure)
				//后台获取token失败  登录失败
				//清空本地token
				var server_preference = new $M.Preferences();
				server_preference.open('local_server_msg');
				server_preference.put('server_token_info', " ");
			} );
	} */

     Emp.page.render();