var toast = new Emp.Panel({"borderColor":"#ffffff","backgroundColor":"#252737","hAlign":"center","display":"false","vAlign":"middle","cornerRadius":"8","layout":"HBox","top":"200","left":"80","borderWidth":"1","width":"200","id":"toast","position":"relative","opacity":"0.7","height":"60"});
    var toastImage = new Emp.Image({"src":"/images/common/icon_toast.png","width":"20","id":"toastImage","height":"20"});
            toast.add(toastImage);
        var toastContent = new Emp.Label({"hAlign":"center","color":"#FFFFFF","numberOfLines":"2","width":"140","fontSize":"14","id":"toastContent","value":"","singleLine":"false","marginLeft":"10"});
            toast.add(toastContent);
        Emp.page.add(toast);
		

function showToast(content) {
  var image = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "/images/common/icon_toast.png";
  
  // the default delay is 2000
  var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 3000;

  toastImage.setSrc(image);
  toastContent.setValue(content);
  toast.setDisplay(true);
  debounce(function () {
    return toast.setDisplay(false);
  }, duration)();
}

var toastTimer;
function debounce(fn, delay) {
  return function () {
    var context = this;
    var args = arguments;
    clearInterval(toastTimer);
    toastTimer = setInterval(function () {
      fn.apply(context, args);
      clearInterval(toastTimer);
    }, delay);
  };
}

function showNetworkErrorToast(error) {
	if (error == 0 || error == "0") {
		showToast("网络连接失败，请稍候重试！")
	} else if (error == 404 || error == "404") {
		showToast("网络连接失败，请稍候重试")
	} else if (error == 500 || error == "500") {
		showToast("网络连接失败，请稍候重试")
	}else if (error == 413 || error == "413") {
		showToast("网络连接失败，请稍候重试")
	}else{
		showToast("网络连接失败，请稍候重试");
	}
}


     Emp.page.render();