Emp.GifImageView = Emp.extend(Emp.View, {
	/*
	 * constructionInfo : { type : 'baseui', model : 'NativeImage' },
	 */
	init : function(params) {
		Emp.GifImageView.superclass.init.call(this, params);
		this.content.constructionInfo = {
			type : 'baseui',
			model : 'NativeGifImageView'
		};
	},
	setSrc : function(src, scaleType) {
		this.content.src = src;
        // 2016年8月8日--罗登林修改（bugID:46539,解决:设置scaleType不生效的bug）
        if(scaleType!=undefined){
            this.content.scaleType = scaleType;
        }
        if (this.isRender) {
            var s = {};
            s.method = "setSrc";
            if (scaleType == undefined)
                s.value = {
                    "src" : src,
                    "scaleType" : "fitXY"
                };
            else
                s.value = {
                    "src" : src,
                    "scaleType" : scaleType
                };
            empBridge.fireModelMethod(this.modelId, util.jsonToString(s));
        }
	},
	getSrc : function() {
		if (this.isRender) {
			var s = {};
			s.method = "getSrc";
			return empBridge
					.fireModelMethod(this.modelId, util.jsonToString(s));
		} else {
			return this.content.src;
		}
	},
    setPreLoadImg : function(url) {
        		this.content.preLoadImg = url;
    },
    getPreLoadImg : function() {
        return this.content.preLoadImg == undefined ? null
                : this.content.preLoadImg;
    },
    setLoadErrorImg : function(url) {
        this.content.loadErrorImg = url;
    },
    getLoadErrorImg : function() {
        return this.content.loadErrorImg == undefined ? null
                : this.content.loadErrorImg;
    },
});
