var backgroundContainer = new Emp.Panel({"display":"false","width":"100%","id":"backgroundContainer","position":"relative","opacity":"0.4","height":"100%"});
    var popupBacground = new Emp.Panel({"layout":"VBox","backgroundColor":"#252737","hAlign":"center","top":"0","left":"0","width":"100%","id":"popupBacground","position":"relative","vAlign":"middle","height":"100%"});
            backgroundContainer.add(popupBacground);
        Emp.page.add(backgroundContainer);
	var foregroundContainer = new Emp.Panel({"display":"false","width":"100%","id":"foregroundContainer","position":"relative","height":"100%"});
    var innerContainer = new Emp.Panel({"width":"100%","id":"innerContainer","height":"100%"});
            foregroundContainer.add(innerContainer);
        Emp.page.add(foregroundContainer);
		

var dialog;
var pivotX;
var pivotY;
var callback;

function showDialog(div) {
	var pivotX = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0.5;
	var pivotY = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0.5;
	var completion = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
	this.pivotX = pivotX;
	this.pivotY = pivotY;
	callback = completion;
	dialog = div;
	dialog.setPosition("relative");
	div.addEvent("onClick", doNothing);
	foregroundContainer.addEvent("onClick", dismiss)
	innerContainer.add(dialog);
	popupBacground.clearAnimation();
	dialog.clearAnimation();
	backgroundContainer.setDisplay(true);
	popupBacground.setDisplay(true);
	if (div.onShow) {
		div.onShow()
	}
	var alphaAnimation = new $M.AlphaAnimation({
		fromAlpha: 0,
		toAlpha: 0.4,
		duration: 250
	});
	alphaAnimation.setInterpolater($M.Animation.EaseOut);
	popupBacground.addAnimation(alphaAnimation);
	popupBacground.startAnimation();
	
	var scaleAnimation = new $M.ScaleAnimation({
		duration: 250,
		fromX: 0.01,
		toX: 1,
		fromY: 0.01,
		toY: 1,
		pivotX: pivotX,
		pivotY: pivotY
	});
	scaleAnimation.setInterpolater($M.Animation.EaseOut);
	dialog.setDisplay(true);
	dialog.addAnimation(scaleAnimation);
	dialog.startAnimation();
	foregroundContainer.setDisplay(true);
}

function dismiss(completion, userInfo) {
	dialog.removeEvent("onClick")
	foregroundContainer.removeEvent("onClick")
	popupBacground.clearAnimation();
	dialog.clearAnimation();
	var alphaAnimation = new $M.AlphaAnimation({
		fromAlpha: 0.4,
		toAlpha: 0,
		duration: 250
	});
	alphaAnimation.setInterpolater($M.Animation.EaseOut);
	popupBacground.addAnimation(alphaAnimation);
	popupBacground.startAnimation();
	setTimeout(function () {
		backgroundContainer.clearAnimation();
		popupBacground.clearAnimation();
		backgroundContainer.setDisplay(false);
		popupBacground.setDisplay(false)
	}, 250);

	var scaleAnimation = new $M.ScaleAnimation({
		duration: 250,
		fromX: 1,
		toX: 0.01,
		fromY: 1,
		toY: 0.01,
		pivotX: pivotX,
		pivotY: pivotY
	});
	scaleAnimation.setInterpolater($M.Animation.EaseOut);
	dialog.addAnimation(scaleAnimation);
	dialog.startAnimation();
	setTimeout(function () {
		dialog.setDisplay(false);
		dialog.clearAnimation();
		foregroundContainer.setDisplay(false);
		System.hideKeyboard();
		if (completion) {
			completion();
		}
		if (callback) {
		// log(callback)
		// log(userInfo)
			callback(userInfo);
		}
	}, 240);
}

function doNothing() {
	// to fix a bug that on iOS clicking foreground will also close the popup
}

     Emp.page.render();